---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.getsequelizemodel'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.getsequelizemodel.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [getSequelizeModel](./sequelize.sequelizecrudrepository.getsequelizemodel.md)

## SequelizeCrudRepository.getSequelizeModel() method

Get Sequelize Model

**Signature:**

```typescript
getSequelizeModel(entityClass?: typeof Entity & {
        prototype: T;
    }): import("sequelize").ModelCtor<Model<any, any>> | import("sequelize").ModelCtor<SequelizeModel>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  entityClass | typeof [Entity](./repository.entity.md) &amp; { prototype: T; } | _(Optional)_ |

**Returns:**

import("sequelize").ModelCtor&lt;Model&lt;any, any&gt;&gt; \| import("sequelize").ModelCtor&lt;SequelizeModel&gt;

Sequelize Model Instance based on the definitions from `entityClass`


